Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
admin_assistant_roles
List admin assistant roles for an user
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/users/{user_id}/admin_assistant_roles \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "admin_assistant_role",
      "attributes": {
        "effective_from": "2023-12-25",
        "custom_fields": {},
        "external_id": "AAR-001",
        "effective_to": "2023-12-25"
      },
      "relationships": {
        "admin_assistant": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "user",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        },
        "faculty_member": {
          "links": {
            "related": "<string>"
          },
          "meta": {},
          "data": {
            "type": "user",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        }
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Path Parameters

user_id
string
required

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: admin_assistant, faculty_member

sort
string

Sort order. Prefix with - for descending. Allowed: effective_from, effective_to, created_at, updated_at

filter[key]
string

Filter results. Available filters: user_id, external_id, external_id.neq, external_id.cont, external_id.in, external_id.nin, effective_from, effective_from.neq, effective_from.lt, effective_from.lte, effective_from.gt, effective_from.gte, effective_to, effective_to.neq, effective_to.lt, effective_to.lte, effective_to.gt, effective_to.gte. Custom fields can also be filtered with filter[custom_fields.field_name].

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

admin assistant roles found

data
object[]
required
meta
object